summaryrefslogtreecommitdiffstats
path: root/tests/files/working/dot_git/hooks/commit-msg
diff options
context:
space:
mode:
Diffstat (limited to 'tests/files/working/dot_git/hooks/commit-msg')
-rw-r--r--tests/files/working/dot_git/hooks/commit-msg21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/files/working/dot_git/hooks/commit-msg b/tests/files/working/dot_git/hooks/commit-msg
new file mode 100644
index 0000000..c5cdb9d
--- /dev/null
+++ b/tests/files/working/dot_git/hooks/commit-msg
@@ -0,0 +1,21 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message.
+# Called by git-commit with one argument, the name of the file
+# that has the commit message. The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit. The hook is allowed to edit the commit message file.
+#
+# To enable this hook, make this file executable.
+
+# Uncomment the below to add a Signed-off-by line to the message.
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+
+# This example catches duplicate Signed-off-by lines.
+
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+ sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || {
+ echo >&2 Duplicate Signed-off-by lines.
+ exit 1
+}